be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDAUTONOMYvalues

- java.lang.Object
- - java.lang.Enum<CDAUTONOMYvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDAUTONOMYvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDAUTONOMYvalues>

      public enum CDAUTONOMYvalues
      extends Enum<CDAUTONOMYvalues>

  Java class for CD-AUTONOMYvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-AUTONOMYvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="homebound"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOMEBOUND`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDAUTONOMYvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDAUTONOMYvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDAUTONOMYvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOMEBOUND

          public static final CDAUTONOMYvalues HOMEBOUND

  - ### Method Detail

    - #### values

          public static CDAUTONOMYvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDAUTONOMYvalues c : CDAUTONOMYvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDAUTONOMYvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDAUTONOMYvalues fromValue(String v)

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.